[gnome-menus/jjardon/gnome-common-removal] Use autoreconf instead deprecated gnome-common



commit 78fb5d49d9ccab96f222cf1d21064e8f82d5ab48
Author: Javier Jardón <jjardon gnome org>
Date:   Sat Feb 9 12:59:51 2019 +0000

    Use autoreconf instead deprecated gnome-common
    
    See https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh   | 45 ++++++++++++++++++++++++++++++---------------
 configure.ac |  3 ---
 2 files changed, 30 insertions(+), 18 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index b579d8c..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,38 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME="gnome-menus"
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_M4MACROS=introspection.m4
+cd $srcdir
 
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/$PKG_NAME.doap) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common."
-    exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-. gnome-autogen.sh
+        if [ "$1" = "--help" ]; then
+                exit 0
+        else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index b644f97..c36c169 100644
--- a/configure.ac
+++ b/configure.ac
@@ -10,7 +10,6 @@ AC_CONFIG_MACRO_DIR([m4])
 AC_CONFIG_HEADERS(config.h)
 
 AM_MAINTAINER_MODE
-GNOME_MAINTAINER_MODE_DEFINES
 
 # Before making a release, the LT_VERSION string should be modified.
 # The string is of the form C:R:A.
@@ -41,8 +40,6 @@ PKG_CHECK_MODULES(GIO_UNIX, gio-unix-2.0 >= 2.29.15)
 AC_SUBST(GIO_UNIX_CFLAGS)
 AC_SUBST(GIO_UNIX_LIBS)
 
-GNOME_COMPILE_WARNINGS(yes)
-
 AC_ARG_ENABLE(deprecation_flags,
               [AC_HELP_STRING([--enable-deprecation-flags],
                               [use *_DISABLE_DEPRECATED flags @<:@default=no@:>@])],,


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]